curl --request GET \
--url https://test.deribit.com/api/v2/private/get_withdrawals \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 2745,
"method": "private/get_withdrawals",
"params": {
"currency": "BTC",
"count": 10,
"offset": 0
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_withdrawals"
payload = {
"jsonrpc": "2.0",
"id": 2745,
"method": "private/get_withdrawals",
"params": {
"currency": "BTC",
"count": 10,
"offset": 0
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 2745,
method: 'private/get_withdrawals',
params: {currency: 'BTC', count: 10, offset: 0}
})
};
fetch('https://test.deribit.com/api/v2/private/get_withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 2745,
"result": {
"count": 1,
"data": [
{
"address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
"amount": 0.5,
"confirmed_timestamp": null,
"created_timestamp": 1550571443070,
"currency": "BTC",
"fee": 0.0001,
"id": 1,
"priority": 0.15,
"state": "unconfirmed",
"transaction_id": null,
"updated_timestamp": 1550571443070
}
]
}
}private/get_withdrawals
Retrieve the latest user withdrawals. Returns a list of withdrawal requests with their status, amounts, addresses, and other relevant details.
๐ Related Article: Managing Withdrawals
Scope: wallet:read
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Number of requested items, default - 10, maximum - 1000
1 <= x <= 1000The offset for pagination, default - 0
10
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Address in proper format for currency
"1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
Amount of funds in given currency
1
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Withdrawal state, allowed values : unconfirmed, confirmed, cancelled, completed, interrupted, rejected
unconfirmed, confirmed, cancelled, completed, interrupted, rejected Transaction id in proper format for currency, null if id is not available
"1b1fb5568515e2b79503501e3d3680b2d0838d5dfc2d15a04eb8cd9fbbe0b572"
The timestamp (milliseconds since the Unix epoch)
1536569522277
The timestamp (milliseconds since the Unix epoch) of withdrawal confirmation, null when not confirmed
1536569522277
The timestamp (milliseconds since the Unix epoch)
1536569522277
Fee in currency
0.000023
Withdrawal id in Deribit system
1
Id of priority level
1
Optional idempotency nonce if provided in the request
Total number of results available
101
The id that was sent in the request
Was this page helpful?